UiPath Documentation
automation-cloud
latest
false

UiPath Automation Cloud API ガイド

最終更新日時 2026年5月5日

Get Local Group Members

Returns a paged list of members belonging to a specific local group, based on the organization, group ID, and optional paging parameters.

API エンドポイント

GET {accessURL}/{organizationName}/identity_/api/Group/{partitionGlobalId}/{groupId}/Members

すべてのエンドポイント パスの {accessURL} は、ご使用のクラウド プラットフォームのベース URL に置き換えてください。

Cloud Platformアクセス URL
Automation Cloudhttps://cloud.uipath.com/
Automation Cloud (公共部門向け)https://govcloud.uipath.us/
Automation Cloud (専有型)https://{customURL}.dedicated.uipath.com/

スコープ

次のスコープが必要です。

  • PM.Group
  • PM.Group.Read

要求ヘッダー

--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
注:

{access_token}を取得するには、必ずこちらで説明するいずれかの方法で認証を行ってください。

パス パラメーター

パス パラメーターデータ型説明
partitionGlobalId (必須)文字列目的のグループを含む組織の ID です。
groupId (必須)文字列The ID of the group whose members you want to retrieve.

Query Parameters

クエリ パラメーターデータ型説明
topIntegerThe number of records to return. Default is 10. Range is 0 to 1000.
skipIntegerThe number of records to skip. Default is 0.

応答

200 OK

A paged list of group members is returned, along with the total count.

404 見つかりません

The specified group was not found in the given organization.

要求の例

API 呼び出しの構築に必要な情報をすべて収集したとします。

  • {baseURL}https://cloud.uipath.com/{organizationName}/identity_ です。
  • {access_token}1234 です (長さを考慮)。
  • {partitionGlobalId}3fa85f64-5717-4562-b3fc-2c963f66afa6 です。
  • {groupId}2512 です。

呼び出しは次の例のようになります (cURL)。

curl --location --request GET 'https://cloud.uipath.com/{organizationName}/identity_/api/Group/3fa85f64-5717-4562-b3fc-2c963f66afa6/2512/Members?top=10&skip=0' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json'
curl --location --request GET 'https://cloud.uipath.com/{organizationName}/identity_/api/Group/3fa85f64-5717-4562-b3fc-2c963f66afa6/2512/Members?top=10&skip=0' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json'

呼び出しが成功した場合、応答本文は次のようになります。

{
    "totalCount": 2,
    "results": [
        {
            "id": "1787ef38-5933-4f2c-a67a-9c22cdb8e6a2",
            "type": 0
        },
        {
            "id": "a4c2e8b1-7d3f-4a91-b5e2-6f8d9c0e1a3b",
            "type": 0
        }
    ]
}
{
    "totalCount": 2,
    "results": [
        {
            "id": "1787ef38-5933-4f2c-a67a-9c22cdb8e6a2",
            "type": 0
        },
        {
            "id": "a4c2e8b1-7d3f-4a91-b5e2-6f8d9c0e1a3b",
            "type": 0
        }
    ]
}

このページは役に立ちましたか?

接続

ヘルプ リソース サポート

学習する UiPath アカデミー

質問する UiPath フォーラム

最新情報を取得